HALT(8)

NAME
halt - stop the processor

SYNOPSIS
/etc/halt [ -n ] [ -q ] [ -y ] [ -l ]

DESCRIPTION
The halt command stops all but one processor, runs the command script rc.shutdown with the argument halt, executes a sync system call, and then stops the remaining processor. The machine does not reboot, even if auto-reboot mode is selected on the front panel.

OPTIONS

-q  Halt quickly without executing the shutdown script. This option is not recommended except in an emergency.

-n  Skip the sync before halting. The -q option should be used with -n if the rc.shutdown script runs commands that sync the disks (such as umount(8)).

-y  Force the system to halt from a dialup.

-l  Halt normally logs the halt using syslog(8). This action is inhibited if the -l option is present.

Halt places a shutdown record in the login accounting file /usr/adm/wtmp unless the -n or -q options are present.

FILES
/etc/rc.shutdown system shutdown script
/usr/adm/wtmp login accounting file

SEE ALSO
fastboot(8), reboot(8), shutdown(8), syslogd(8), rc(8), sync(2)

BUGS
The shutdown script should know not to sync the disks when halt is given the -n option.